# frozen_string_literal: true

require_relative "lib/gonative/version"

Gem::Specification.new do |spec|
  spec.name          = "gonative-cli"
  spec.version       = GoNative::VERSION
  spec.authors       = ["Hunaid Hassan"]
  spec.email         = ["hhunaid@gmail.com"]

  spec.summary       = "CLI to create gonative plugins."
  spec.description   = "Create and manage gonative plugin projects using cli."
  spec.homepage      = "https://www.github.com/gonativeio/gonative-cli"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.7.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://www.github.com/gonativeio/gonative-cli"
  spec.metadata['changelog_uri'] = "#{spec.metadata['source_code_uri']}/blob/master/CHANGELOG.md"
  spec.metadata['github_repo'] = 'ssh://github.com/gonativeio/gonative-cli'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.executables << 'gonative'
  spec.require_paths = ['lib']

  spec.add_dependency 'dry-cli', '~> 0.7'
  spec.add_dependency 'zeitwerk', '~> 2.4'
  spec.add_dependency 'cocoapods', '~> 1.10'
  spec.add_dependency 'xcodeproj', '~> 1.20'
  spec.add_dependency 'colorize', '~> 0.8.0'

  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'pry-byebug', '~> 3.9'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rubocop', '~> 1.7'
  spec.add_development_dependency 'rubocop-performance', '~> 1.11'
end
